Ubuntu

Change log for “rubber” package in Ubuntu

114 of 14 results
Published in trusty-release on 2014-03-31
Deleted in trusty-proposed (Reason: moved to release)
rubber (1.1+20100306-3) unstable; urgency=low


  * Add patch 04_borken_image_conversion.diff
    (Closes: #684731)
  * Add patch 05_rubber-push_vars-bug.diff
    (Closes: #701898)
  * Update to Standards-Version 3.9.5 (co changes needed).

 -- Hilmar Preuße <email address hidden>  Thu, 27 Mar 2014 10:50:03 +0200

Available diffs

Superseded in trusty-release on 2014-03-31
Published in saucy-release on 2013-05-30
Deleted in saucy-proposed (Reason: moved to release)
rubber (1.1+20100306-2) unstable; urgency=medium


  * do not call bibtex with absolute paths, thanks to Benjamin Mako Hill
    for the patch (Closes: #684228). -> 02_rubber_bibtext_20120807.diff
  * ... same for makeindex, thanks to Benjamin Mako Hill for patch
    (Closes: #682892). -> 03_rubber_makeindex_20120808.diff

    The latter causes an FTBFS on package derivations.

 -- Hilmar Preuße <email address hidden>  Wed, 08 Aug 2012 14:25:06 +0200
Superseded in saucy-release on 2013-05-30
Published in raring-release on 2012-10-18
Published in quantal-release on 2012-04-26
Published in precise-release on 2011-10-13
Published in oneiric-release on 2011-04-28
Obsolete in natty-release on 2013-06-04
rubber (1.1-2.4ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - src/rules/latex/__init__.py:
      + Use regexp to look for directives, so that comment mark needn't be
        at beginning of line.
    - debian/rules: Allow distclean errors to be handled properly.

Available diffs

Superseded in natty-release on 2010-10-17
Obsolete in maverick-release on 2013-03-05
rubber (1.1-2.2ubuntu2) maverick; urgency=low

  * src/rules/latex/__init__.py:
    - Use regexp to look for directives, so that comment mark needn't be at
        beginning of line (LP: #195258).  Patch by Dan Drake
 -- Alexander Valavanis <email address hidden>   Mon, 08 Mar 2010 08:51:02 +0000

Available diffs

Superseded in maverick-release on 2010-07-09
Published in lucid-release on 2010-03-08
rubber (1.1-2.2ubuntu1) lucid; urgency=low

  * debian/rules: Allow distclean errors to be handled properly
  * Replace deprecated md5 module with hashlib (LP: #338285)
 -- Alexander Valavanis <email address hidden>   Sat, 06 Mar 2010 09:27:56 +0000

Available diffs

Superseded in lucid-release on 2010-03-08
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
rubber (1.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Incorporate Ubuntu changes to remove byte compiled (.pyc) files
    (Closes: #492731)
    - debian/control
      + Add python-support depends
      + Add XS/XB-Python-Version
    - debian/rules
      + add call to dh_pysupport
      + change install target to delete the pyc before packaging
  * Update standards version to 3.8.0
    - Move hompage to its own field in debian/control
  * Quote filenames in rules/latex/__init__.py to stop crashes on files with
    spaces in the filename

 -- Scott Kitterman <email address hidden>   Wed,  13 Aug 2008 15:47:58 +0100

Available diffs

Superseded in intrepid-release on 2008-08-13
Published in hardy-release on 2008-01-21
rubber (1.1-2.1ubuntu2) hardy; urgency=low

  * Tweak debdiff from Koen Beek fixing LP: #122489.

 -- Daniel T Chen <email address hidden>   Sun, 20 Jan 2008 18:08:46 -0500
Superseded in hardy-release on 2008-01-21
Obsolete in gutsy-release on 2011-09-16
rubber (1.1-2.1ubuntu1) gutsy; urgency=low

  * Remove the .pyc files (LP: #36733)
    - Added dependency to python-support
    - debian/control
      + addition of XB-Python-Version
    - debian/rules
      + addition of a call to dh_pysupport in debian/rules
      + modification of the install target to delete the pyc before packaging
  * Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Christophe Sauthier <email address hidden>   Tue,  2 Oct 2007 14:27:38 +0200
Superseded in gutsy-release on 2007-10-02
rubber (1.1-2.1) unstable; urgency=low

  * Non-maintainer upload.

  * Fix RC bug "Rebuilding from source yields a package without a dependency
    on python" (closes: #425078). Changes needed:
    + the package has only private modules, so it's not necessary to use
      python-support or python-central: depend directly on python instead.
    + remove debian/compat, the call to dh_python in debian/rules, and the
      XB-Python-Version header from debian/control.
    + do not build-depend-indep on python-dev, but only on python.

  * Swap the order of the tetex-bin | texlive-latex-base dependency.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  13 Jun 2007 10:39:58 +0100
Superseded in gutsy-release on 2007-06-13
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
rubber (1.1-2) unstable; urgency=low

  * Update for new Python policy.
  * Update to Standards-Version 3.7.2, no changes needed.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  03 Jul 2006 14:43:27 +0100
Superseded in edgy-release on 2006-07-03
rubber (1.1-1) unstable; urgency=low

  * New release.
  * Various bugfixes (closes: #247316, #328599, #334886, #345953).
  * Improved log file parser (closes: #329786, #336185).
  * Improved algorithm for file conversion (closes: #242202, #328995, #345982).
  * Support for user rules (closes: #324759, #329009).
  * More control on the application of rules (closes: #328785).
  * Support for unsorted bibliographies (closes: #215676).
  * Track changes in the list of BibTeX databases (closes: #343681).
  * Support for xindy (closes: #344193).
  * Support for sam2p (closes: #328994).
  * Improved fig2dev support (closes: #331149, #345954).
  * Minimal support for ntheorem (closes: #336184).
  * Simpler meaning for -z command-line option (closes: #239661).
  * Changed dependencies to support TeXLive (closes: #354555).

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  15 Jun 2006 15:32:17 +0100
Superseded in edgy-release on 2006-06-15
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
rubber (1.0-1) unstable; urgency=low


  * New release.
  * Various bugfixes (closes: #278453, #317445).
  * New system for detecting graphics conversion rules (closes: #283448).
  * Fixed the command line for some external tools (closes: #284530, #316548).
  * Some new command-line switches (closes: #190554).

 -- Emmanuel Beffara <email address hidden>  Mon, 11 Jul 2005 14:52:35 +0200
Obsolete in breezy-release on 2008-03-25
Obsolete in hoary-release on 2008-03-19
rubber (0.99.8-1ubuntu1) hoary; urgency=low


  * rebuild to get python dependency right

 -- Michael Vogt <email address hidden>  Wed, 22 Dec 2004 13:43:01 +0100
Obsolete in warty-release on 2008-01-09
rubber (0.99.8-1) unstable; urgency=medium


  * New release.
  * Ignore \includegraphics when the file name contains # or \
    (closes: #242906).
  * Added support for combined PDF/LaTeX from XFig (closes: #260850)
  * Added support for e-TeX and Omega (closes: #265240)
  * Better check for availablility of external tools
  	(closes: #247666, hopefully)

 -- Emmanuel Beffara <email address hidden>  Fri, 27 Aug 2004 22:56:38 +0100
114 of 14 results